No puedo ver applets de la web en java (SOLUCIONADO)

Imagen de Malmsteen23
0 puntos

Pareciera como si de un momento a otro los applets en java ya no funcionaran. No sé por qué. Tengo instalado el OpenJDK Java 7. ¿Por qué en los navegadores de internet no se visualizan los applets? ¿Alguien me puede ayudar?

Imagen de Malmsteen23
+1
0
-1

Ah... Olvidé mencionar que tengo "UBUNTU 12.10", la versión de 64 bits, en una laptop Lenovo G470.

+1
0
-1
Imagen de Malmsteen23
+1
0
-1

Por ejemplo, ¿alguien puede visualizar algo de acá desde el navegador que utilicen?
Link: http://www.walter-fendt.de/ph14s/index.html

Yo tengo el Firefox y el google Chrome y ninguno me deja ver nada.

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

Necesitas instalar el Java de oracle, puesto que este incluye el plugin que necesitas, igual y estoy equivocado y puedes instalar un complemento ya sea en firefox y chrome que te provean esa funcionalidad.

Pero por lo general necesitas instalar el Java de oracle.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Malmsteen23
+1
0
-1

¿No es lo que ya tengo instalado? ¿El "OpenJDK Java 7"? Tanto el Firefox como el Google Chrome me dicen que debo instalar un plugin pero cuando acepto para que lo busquen lo hacen de forma indefinida, no terminan de buscar.

**/Moderado/**

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

Y tanto firefox y como Chromium me mandan a la web de Oracle.
Y el sitio también tiene un enlace a la web de Oracle.

El openJDK no es lo mismo que el Java de Oracle y los dos pueden convivir juntos sin ningún problema.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Alcruz
+1
0
-1

Entra a la pagina de Oracle y te descargas el archivo
jdk-7u21-linux-x64.tar.gz
No te puedo dar un enlace por que necesitas aceptar las condiciones que te piden, una vez lo tengas te digo como instalarlo.

+1
0
-1
Imagen de Goyo
+1
0
-1

¿Cómo de un momento a otro? ¿Antes funcionaban y ahora no? Lo más lógico sería hacer lo mismo que hiciste para que funcionaran por primera vez.

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

instalando el icedtea-7-plugin, puedes ejecutar los applets de Java sin la necesidad de usar el todo el runtime de Oracle.

Yo instalé el icedtea-6-plugin (por que tengo el openjdk-6, no por otra cosa.) y al menos los applets de la web de tu enlace ahora funcionan.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Goyo
+1
0
-1

Mejor que el de Oracle, que te obliga a aceptar un acuerdo de licencia más largo que Guerra y Paz y con condiciones (las que se entienden) leoninas. Por ejemplo, la licencia es revocada automáticamente si tratas de usar el software para fabricar armas nucleares.

+1
0
-1
Imagen de Malmsteen23
+1
0
-1

¡Muchas gracias! Ya puedo ver los applets. Instalé lo que me dijiste. ¡Gracias!

+1
0
-1